Inconsistency in editing a host on web UI

07/02/2018 06:02 PM - Andrew Kofink

Status: Closed   

Priority: Normal   

Assignee: Andrew Kofink   

Category: Hosts   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1585529 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/749

0

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1585529

Description of problem:

Given a host that is using a different CV/LE than its hostgroup. When editing it,  the hostgroups's default CV and LE are loaded. This

behaviour is quite confusing as it makes people think that the updating is not successful after clicking on the submit button.

Version-Release number of selected component (if applicable):

Katello 3.4

How reproducible:

Easy

Steps to Reproduce:

1. Create a hostgroup with a CV and LE

2. Create a host with the hostgroup

3. Edit the host with a different CV and LE

4. Check the editing host page again

Actual results:

On the editing host page, it shows the hostgroups's default CV and LE.

Expected results:

It should show the CV and LE that match the db entry.

Related issues:

Has duplicate Katello - Bug #24165: Host view doesn't show correct Lifecycle ... Duplicate 07/05/2018

Is duplicate of Katello - Bug #23706: Unable to override hostgroup parameters... Closed 05/25/2018

History

#1 - 07/02/2018 07:22 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Andrew Kofink

- Pull request https://github.com/Katello/katello/pull/7490 added

#2 - 07/11/2018 06:01 PM - Justin Sherrill

- Has duplicate Bug #24165: Host view doesn't show correct Lifecycle Environment and Content View added
#3 - 07/13/2018 01:33 PM - Andrew Kofink

- Is duplicate of Bug #23706: Unable to override hostgroup parameters from All hosts => edit host on WebUI added

#4 - 07/13/2018 04:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset katello|81ecd36fc2749cbc6ccbd4471b76bcea35eb8584.
